Skip to main content
GET
/
v1
/
events
List recorded events
curl --request GET \
  --url https://api.scribe-mail.com/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "recorded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "value": 123,
      "currency": "<string>",
      "click_id": "<string>",
      "signature_template_uuid": "<string>",
      "marketing_campaign_uuid": "<string>",
      "teammate_uuid": "<string>",
      "anchor_uuid": "<string>",
      "email_uuid": "<string>",
      "country_code": "<string>",
      "properties": {}
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total_count": 123,
    "total_pages": 123,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string
end_date
string
limit
integer
page
integer

Response

200 - application/json

Success

data
object[]
required
pagination
object
required

Offset (page/limit) pagination. The single pagination shape returned by every paginated list endpoint in the public API.